OptimisticLockStyle (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.engine
Enum OptimisticLockStyle

    java.lang.Object
      java.lang.Enum<OptimisticLockStyle>
          org.hibernate.engine.OptimisticLockStyle

All Implemented Interfaces:
  Serializable, Comparable<OptimisticLockStyle>

    public enum OptimisticLockStyle

extends Enum<OptimisticLockStyle>

Enum Constant Summary
`ALL` all columns are compared
`DIRTY` dirty columns are compared
`NONE` no optimistic locking
`VERSION` use a dedicated version column

Method Summary
`static OptimisticLockStyle` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OptimisticLockStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OptimisticLockStyle NONE

  no optimistic locking

### VERSION

    public static final OptimisticLockStyle VERSION

  use a dedicated version column

### DIRTY

    public static final OptimisticLockStyle DIRTY

  dirty columns are compared

### ALL

    public static final OptimisticLockStyle ALL

  all columns are compared

Method Detail

### values

    public static OptimisticLockStyle[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OptimisticLockStyle c : OptimisticLockStyle.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OptimisticLockStyle valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.